API KeysCreate a new API key

Create a new API key

curl -X POST "https://api.5centscdn.com/v2/account/api/new" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "name": "My Application",
  "description": "Used by the mobile app",
  "permission[]": [
    "read",
    "update"
  ],
  "_METHOD": "PUT"
}'
{
  "result": "success",
  "message": "API Key Created",
  "id": 12345
}
POST
/account/api/new
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
namestring
Required

Human-readable label for the API key / application.

descriptionstring
Required

Optional description of the key's purpose.

permission[]array
Required

Set of CRUD permissions granted to this key. At least one value is required. Multiple values allowed.

_METHODstring
Required

Must be set to PUT to trigger API key creation.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
namestring
Required

Human-readable label for the API key / application.

descriptionstring
Required

Optional description of the key's purpose.

permission[]array
Required

Set of CRUD permissions granted to this key. At least one value is required. Multiple values allowed.

_METHODstring
Required

Must be set to PUT to trigger API key creation.

Responses

resultstring

Operation outcome.

messagestring

Human-readable description of the operation outcome.

idinteger

Unique identifier of the newly created API key.